<div class="container">
  <!-- {{myEvents | json}} Akash
  <div class="col-md-12">
    <div class="col-md-3">
      <h2>{{data.currentCity=="Cities"?"All Events":"Events in "+data.currentCity}}</h2>
    </div>

    <div class="col-md-9 form-group">
      <br>
      <div class="col-md-4 padding-right-0">
        <input type="text" class="form-control ">
      </div>
      <div class="col-md-2  padding-left-0">
        <button class="btn btn-primary">Search</button>
      </div>
    </div>
  </div>
  <hr class="col-md-12"> -->

  <div class="col-md-12">

    <div class="col-md-3 border-off-white">
      <h2>Pages</h2>
      <hr>
      <h5>
        <a [routerLink]="['/edit-profile']">Edit Profile</a>
      </h5>

      <h5>
        <a [routerLink]="['/my-bookings']">My Bookings</a>
      </h5>

      <h5>
        <a [routerLink]="['/favourite-events']">Favourite Events</a>
      </h5>

      <h5>
        <a [routerLink]="['/my-events']">My Events</a>
      </h5>
    </div>

    <div class="col-md-9">
      <h2>My Events</h2>
      <hr>
      <!-- <div *ngFor="let event of data.allEvents | async">{{"Akash "+event.eventid}}</div> -->
      <div class="col-sm-6 col-md-4" *ngFor="let event of data.myEvents | async">
        <!-- {{event | json}} -->
        <div class="thumbnail">
          <div class="bg-cover" [style.background]="'url('+event.imgDisplay+')'">
            <!-- <img src="{{event.imgDisplay}}" alt="{{event.title}}"> -->
          </div>
          <div class="caption">
            <h5>{{(event.name?.length>22)? (event?.name | slice:0:22)+'..':(event?.name)}}</h5>
            <!-- <p [innerHTML]="event.description"></p> -->
            <p>
              <a class="btn btn-default" role="button" (click)="data.visitEvent(event)">Know More</a>
              <a class="btn btn-success" role="button" (click)="data.visitEditEvent(event)">Edit</a>
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>




</div>